#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <memory.h>
#include <assert.h>
#include <sys/resource.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_eigen.h>

typedef char naym[11];

typedef struct {
  // FILE *infile, *splits, *scoresfile;
  FILE *infile;
}FILESPEC;

extern int nsite, nseq, num_unique, print_data_ind, print_data_phylip, include_gaps;
extern int **ppBase, **ppBase_unique, *site_counter;
extern naym *psname;
extern double fnorm;

extern FILE *scoresfile;

extern int nints,nfit,num_unique_bin;
extern unsigned int **ppBase_u_bin, *counts, *split_taxaR, *split_taxaC;

extern int FileSpecInit(FILESPEC *pFileSpec);
extern int MemAlloc();
extern naym* InputInit(FILESPEC *pFileSpec);

extern int Data_Bin();
extern float getSVDscore(unsigned int *split_taxa, int sze);
